package CASObservatory;

import ij.*;
import ij.plugin.filter.PlugInFilter;
import ij.process.*;
import java.awt.*;


public class Image_Reader implements PlugInFilter {

	public int setup(String arg, ImagePlus imp) {
		if (IJ.versionLessThan("1.37j"))
			return DONE;
		else	
			return DOES_ALL+DOES_STACKS+SUPPORTS_MASKING;
	}

	public void run(ImageProcessor ip) {
		Rectangle r = ip.getRoi();
		for (int y=r.y; y<(100); y++)
			for (int x=r.x; x<(100); x++)
				System.out.println(x+"/"+y+"   " +ip.get(x,y));
	}

}

